ASN1NumericString (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1

## Class ASN1NumericString

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1NumericString

- All Implemented Interfaces:
    ASN1Encodable, ASN1String, Encodable
  Direct Known Subclasses:
    DERNumericString

      public abstract class ASN1NumericString
      extends ASN1Primitive
      implements ASN1String

  NumericString object - this is an ascii string of characters {0,1,2,3,4,5,6,7,8,9, }. ASN.1 NUMERIC-STRING object.

  This is an ASCII string of characters {0,1,2,3,4,5,6,7,8,9} + space.

  See X.680 section 37.2.

  Explicit character set escape sequences are not allowed.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ASN1NumericString` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)` Return an Numeric String from a tagged object.
    `static ASN1NumericString` | `getInstance(java.lang.Object obj)` Return a Numeric string from the passed in object
    `byte[]` | `getOctets()`
    `java.lang.String` | `getString()` Return a Java String representation of this STRING type's content.
    `static ASN1NumericString` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
    `int` | `hashCode()`
    `static boolean` | `isNumericString(java.lang.String str)` Return true if the string can be represented as a NumericString ('0'..'9', ' ')
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ASN1NumericString getInstance(java.lang.Object obj)

      Return a Numeric string from the passed in object
      Parameters:
        `obj` - an ASN1NumericString or an object that can be converted into one.
      Returns:
        an ASN1NumericString instance, or null
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getInstance

          public static ASN1NumericString getInstance(ASN1TaggedObject taggedObject,
                                                      boolean declaredExplicit)

      Return an Numeric String from a tagged object.
      Parameters:
        `taggedObject` - the tagged object holding the object we want
        `declaredExplicit` - true if the object is meant to be explicitly tagged false otherwise.
      Returns:
        an ASN1NumericString instance, or null.
      Throws:
        `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

    - #### getTagged

          public static ASN1NumericString getTagged(ASN1TaggedObject taggedObject,
                                                    boolean declaredExplicit)

    - #### getString

          public final java.lang.String getString()

      Description copied from interface: `ASN1String`
      Return a Java String representation of this STRING type's content.
      Specified by:
        `getString` in interface `ASN1String`
      Returns:
        a Java String representation of this STRING.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getOctets

          public final byte[] getOctets()

    - #### hashCode

          public final int hashCode()

      Specified by:
        `hashCode` in class `ASN1Primitive`

    - #### isNumericString

          public static boolean isNumericString(java.lang.String str)

      Return true if the string can be represented as a NumericString ('0'..'9', ' ')
      Parameters:
        `str` - string to validate.
      Returns:
        true if numeric, false otherwise.